> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get usage controls, as an AppUsageControls object which describes some peripheral configuration, for an app.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/usage_controls
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/usage_controls:
    get:
      tags:
        - App Usage Controls
      summary: Get
      description: >-
        Get usage controls, as an AppUsageControls object which describes some
        peripheral configuration, for an app.
      operationId: c1.api.app.v1.AppUsageControlsService.Get
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.app.v1.GetAppUsageControlsResponse'
          description: >-
            The GetAppUsageControlsResponse message contains the retrieved
            AppUsageControls object.
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppUsageControls.Get(ctx, operations.C1APIAppV1AppUsageControlsServiceGetRequest{\n        AppID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetAppUsageControlsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appUsageControls.get({
                appId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.GetAppUsageControlsResponse:
      description: >-
        The GetAppUsageControlsResponse message contains the retrieved
        AppUsageControls object.
      properties:
        appUsageControls:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.AppUsageControls'
            - type: 'null'
        hasUsageData:
          description: >-
            HasUsageData is false if the access entitlement for this app has no
            usage data.
          type:
            - boolean
            - 'null'
      title: Get App Usage Controls Response
      type: object
      x-speakeasy-name-override: GetAppUsageControlsResponse
    c1.api.app.v1.AppUsageControls:
      description: >-
        The AppUsageControls object describes some peripheral configuration for
        an app.
      properties:
        appId:
          description: The app that this object belongs to.
          type:
            - string
            - 'null'
        notify:
          description: >-
            Whether or not to notify some if they have access to the app, but
            has not used it within a configurable amount of time.
          type:
            - boolean
            - 'null'
        notifyAfterDays:
          description: The duration in days after which we notify users of nonusage.
          format: uint32
          type:
            - integer
            - 'null'
        revoke:
          description: >-
            Whether or not to revoke a grant if they have access to the app, but
            has not used it within a configurable amount of time.
          type:
            - boolean
            - 'null'
        revokeAfterDays:
          description: >-
            The duration in days after which we revoke users that have not used
            that grant.
          format: uint32
          type:
            - integer
            - 'null'
      title: App Usage Controls
      type: object
      x-speakeasy-name-override: AppUsageControls
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````